Update Unit Custom Data: Rentvine
https://api.propexo.com/v1/units/rentvine/:unit_id/custom-dataThe custom data fields must first be provisioned by the customer on the property object before they can be set by this API route. At this time, Propexo does not support a way to provision new custom fields or modify the schema for existing custom fields via an API. Please contact Propexo support if this is required for your business case.
| Method | Interface |
|---|---|
| POST /api/manager/custom-fields/values/{customObjectTypeId}/{modelId} | Custom Fields |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the unit
Request
This endpoint expects an object.
- Option 1
- object
- null
custom_data objectrequired
A mapping of the fields you want to update and the associated values. The key for each field is the key from the normalized custom data object, not the label of the custom field. Each entry will look something like: ``` "eyJjYXRlZ29yeUlkIjoiMSIsImZpZWxkSWQiOiIxIiwidmVyc2lvbiI6MX0=": { "value": "Yes" }
property name* object
Response
Successful response
- Option 1
- object
- null
meta objectrequired
result objectrequired
The Propexo unique identifier for the unit
custom_data objectrequired
A mapping of the fields you want to update and the associated values. The key for each field is the key from the normalized custom data object, not the label of the custom field. Each entry will look something like: ``` "eyJjYXRlZ29yeUlkIjoiMSIsImZpZWxkSWQiOiIxIiwidmVyc2lvbiI6MX0=": { "value": "Yes" }
property name* object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/units/rentvine/:unit_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"custom_data": {}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"unit_id": "string",
"custom_data": {}
}
}